Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Interface Row

All Known Implementing Classes:
  RowImpl

public interface Row

Logical representation of a table row for insert/update/delete. The `UpdateManager` is responsible for implementing rows to do something useful when the values are set.

Field Summary
`static int` | `ACTION_DELETE` Mark the row for deletion.
`static int` | `ACTION_INSERT` Mark the row for inserttion.
`static int` | `ACTION_UNKNOWN` Symbolic constant reserved for situations when a row operation is unknown.
`static int` | `ACTION_UPDATE` Mark the row for update.

Method Summary
`int` | `getAction()` Return the action for this row.
`Object` | `getFailedObject()` Return the failed object to include in optimistic lock exceptions.
`KodoStateManager` | `getPrimaryKey()` Return the JDO instance that controls this row.
`Table` | `getTable()` Return the table for this row.
`void` | `setArray(Column col, Array val)` Set the value of the given column in this row.
`void` | `setAsciiStream(Column col, InputStream val, int length)` Set the value of the given column in this row.
`void` | `setBigDecimal(Column col, BigDecimal val)` Set the value of the given column in this row.
`void` | `setBigInteger(Column col, BigInteger val)` Set the value of the given column in this row.
`void` | `setBinaryStream(Column col, InputStream val, int length)` Set the value of the given column in this row.
`void` | `setBlob(Column col, Blob val)` Set the value of the given column in this row.
`void` | `setBoolean(Column col, boolean val)` Set the value of the given column in this row.
`void` | `setByte(Column col, byte val)` Set the value of the given column in this row.
`void` | `setBytes(Column col, byte[] val)` Set the value of the given column in this row.
`void` | `setChar(Column col, char val)` Set the value of the given column in this row.
`void` | `setCharacterStream(Column col, Reader val, int length)` Set the value of the given column in this row.
`void` | `setClob(Column col, Clob val)` Set the value of the given column in this row.
`void` | `setDate(Column col, Date val)` Set the value of the given column in this row.
`void` | `setDate(Column col, Date val, Calendar cal)` Set the value of the given column in this row.
`void` | `setDouble(Column col, double val)` Set the value of the given column in this row.
`void` | `setFailedObject(Object failed)` Set the failed object to include in the optimistic lock exception that will be thrown if this update results in an update count of 0 when executed.
`void` | `setFloat(Column col, float val)` Set the value of the given column in this row.
`void` | `setForeignKey(ForeignKey fk, KodoStateManager sm)` Set the value of the given foreign key to the given object.
`void` | `setInt(Column col, int val)` Set the value of the given column in this row.
`void` | `setLocale(Column col, Locale val)` Set the value of the given column in this row.
`void` | `setLong(Column col, long val)` Set the value of the given column in this row.
`void` | `setNull(Column col)` Set the value of the given column in this row.
`void` | `setObject(Column col, Object val, int metaType, Object arg)` Set the value of the given column in this row.
`void` | `setPrimaryKey(KodoStateManager sm)` Set the primary key to represent the given object.
`void` | `setRaw(Column col, String value)` Set a DB understood value for the given column.
`void` | `setShort(Column col, short val)` Set the value of the given column in this row.
`void` | `setString(Column col, String val)` Set the value of the given column in this row.
`void` | `setTime(Column col, Time val, Calendar cal)` Set the value of the given column in this row.
`void` | `setTimestamp(Column col, Timestamp val, Calendar cal)` Set the value of the given column in this row.
`void` | `whereArray(Column col, Array val)` Set an equality condition on the value of the given column in this row.
`void` | `whereAsciiStream(Column col, InputStream val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigDecimal(Column col, BigDecimal val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigInteger(Column col, BigInteger val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBinaryStream(Column col, InputStream val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereBlob(Column col, Blob val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBoolean(Column col, boolean val)` Set an equality condition on the value of the given column in this row.
`void` | `whereByte(Column col, byte val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBytes(Column col, byte[] val)` Set an equality condition on the value of the given column in this row.
`void` | `whereChar(Column col, char val)` Set an equality condition on the value of the given column in this row.
`void` | `whereCharacterStream(Column col, Reader val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereClob(Column col, Clob val)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(Column col, Date val)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(Column col, Date val, Calendar cal)` Set an equality condition on the value of the given column in this row.
`void` | `whereDouble(Column col, double val)` Set an equality condition on the value of the given column in this row.
`void` | `whereFloat(Column col, float val)` Set an equality condition on the value of the given column in this row.
`void` | `whereForeignKey(ForeignKey fk, KodoStateManager sm)` Set the foreign key equality criteria to link to the given object.
`void` | `whereInt(Column col, int val)` Set an equality condition on the value of the given column in this row.
`void` | `whereLocale(Column col, Locale val)` Set an equality condition on the value of the given column in this row.
`void` | `whereLong(Column col, long val)` Set an equality condition on the value of the given column in this row.
`void` | `whereNull(Column col)` Set an equality condition on the value of the given column in this row.
`void` | `whereObject(Column col, Object val, int metaType, Object arg)` Set an equality condition on the value of the given column in this row.
`void` | `wherePrimaryKey(KodoStateManager sm)` Set the primary key equality criteria for this row.
`void` | `whereShort(Column col, short val)` Set an equality condition on the value of the given column in this row.
`void` | `whereString(Column col, String val)` Set an equality condition on the value of the given column in this row.
`void` | `whereTime(Column col, Time val, Calendar cal)` Set an equality condition on the value of the given column in this row.
`void` | `whereTimestamp(Column col, Timestamp val, Calendar cal)` Set an equality condition on the value of the given column in this row.

Field Detail

### ACTION_UNKNOWN

    public static final int ACTION_UNKNOWN

  Symbolic constant reserved for situations when a row operation is unknown.

### ACTION_UPDATE

    public static final int ACTION_UPDATE

  Mark the row for update.

### ACTION_INSERT

    public static final int ACTION_INSERT

  Mark the row for inserttion.

### ACTION_DELETE

    public static final int ACTION_DELETE

  Mark the row for deletion.

Method Detail

### getTable

    public Table getTable()

  Return the table for this row.

### getAction

    public int getAction()

  Return the action for this row.

### getFailedObject

    public Object getFailedObject()

  Return the failed object to include in optimistic lock exceptions.

### setFailedObject

    public void setFailedObject(Object failed)

  Set the failed object to include in the optimistic lock exception that will be thrown if this update results in an update count of 0 when executed. Leave null to avoid checking the update count.

### getPrimaryKey

    public KodoStateManager getPrimaryKey()

  Return the JDO instance that controls this row. The `setPrimaryKey(kodo.runtime.KodoStateManager)` method does not necessarily have to be called to know the owning instance, nor does this row's table have to have an actual primary key.

### setPrimaryKey

    public void setPrimaryKey(KodoStateManager sm)
                       throws SQLException

  Set the primary key to represent the given object.

### wherePrimaryKey

    public void wherePrimaryKey(KodoStateManager sm)
                         throws SQLException

  Set the primary key equality criteria for this row.

### setForeignKey

    public void setForeignKey(ForeignKey fk,
                              KodoStateManager sm)
                       throws SQLException

  Set the value of the given foreign key to the given object.

### whereForeignKey

    public void whereForeignKey(ForeignKey fk,
                                KodoStateManager sm)
                         throws SQLException

  Set the foreign key equality criteria to link to the given object.

### setArray

    public void setArray(Column col,
                         Array val)
                  throws SQLException

  Set the value of the given column in this row.

### setAsciiStream

    public void setAsciiStream(Column col,
                               InputStream val,
                               int length)
                        throws SQLException

  Set the value of the given column in this row.

### setBigDecimal

    public void setBigDecimal(Column col,
                              BigDecimal val)
                       throws SQLException

  Set the value of the given column in this row.

### setBigInteger

    public void setBigInteger(Column col,
                              BigInteger val)
                       throws SQLException

  Set the value of the given column in this row.

### setBinaryStream

    public void setBinaryStream(Column col,
                                InputStream val,
                                int length)
                         throws SQLException

  Set the value of the given column in this row.

### setBlob

    public void setBlob(Column col,
                        Blob val)
                 throws SQLException

  Set the value of the given column in this row.

### setBoolean

    public void setBoolean(Column col,
                           boolean val)
                    throws SQLException

  Set the value of the given column in this row.

### setByte

    public void setByte(Column col,
                        byte val)
                 throws SQLException

  Set the value of the given column in this row.

### setBytes

    public void setBytes(Column col,
                         byte[] val)
                  throws SQLException

  Set the value of the given column in this row.

### setChar

    public void setChar(Column col,
                        char val)
                 throws SQLException

  Set the value of the given column in this row.

### setCharacterStream

    public void setCharacterStream(Column col,
                                   Reader val,
                                   int length)
                            throws SQLException

  Set the value of the given column in this row.

### setClob

    public void setClob(Column col,
                        Clob val)
                 throws SQLException

  Set the value of the given column in this row.

### setDate

    public void setDate(Column col,
                        Date val)
                 throws SQLException

  Set the value of the given column in this row.

### setDate

    public void setDate(Column col,
                        Date val,
                        Calendar cal)
                 throws SQLException

  Set the value of the given column in this row.

### setDouble

    public void setDouble(Column col,
                          double val)
                   throws SQLException

  Set the value of the given column in this row.

### setFloat

    public void setFloat(Column col,
                         float val)
                  throws SQLException

  Set the value of the given column in this row.

### setInt

    public void setInt(Column col,
                       int val)
                throws SQLException

  Set the value of the given column in this row.

### setLong

    public void setLong(Column col,
                        long val)
                 throws SQLException

  Set the value of the given column in this row.

### setLocale

    public void setLocale(Column col,
                          Locale val)
                   throws SQLException

  Set the value of the given column in this row.

### setNull

    public void setNull(Column col)
                 throws SQLException

  Set the value of the given column in this row.

### setRaw

    public void setRaw(Column col,
                       String value)
                throws SQLException

  Set a DB understood value for the given column. The value will not be parameterized and instead be inserted as raw SQL.

### setObject

    public void setObject(Column col,
                          Object val,
                          int metaType,
                          Object arg)
                   throws SQLException

  Set the value of the given column in this row.
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

### setShort

    public void setShort(Column col,
                         short val)
                  throws SQLException

  Set the value of the given column in this row.

### setString

    public void setString(Column col,
                          String val)
                   throws SQLException

  Set the value of the given column in this row.

### setTime

    public void setTime(Column col,
                        Time val,
                        Calendar cal)
                 throws SQLException

  Set the value of the given column in this row.

### setTimestamp

    public void setTimestamp(Column col,
                             Timestamp val,
                             Calendar cal)
                      throws SQLException

  Set the value of the given column in this row.

### whereArray

    public void whereArray(Column col,
                           Array val)
                    throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereAsciiStream

    public void whereAsciiStream(Column col,
                                 InputStream val,
                                 int length)
                          throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereBigDecimal

    public void whereBigDecimal(Column col,
                                BigDecimal val)
                         throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereBigInteger

    public void whereBigInteger(Column col,
                                BigInteger val)
                         throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereBinaryStream

    public void whereBinaryStream(Column col,
                                  InputStream val,
                                  int length)
                           throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereBlob

    public void whereBlob(Column col,
                          Blob val)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereBoolean

    public void whereBoolean(Column col,
                             boolean val)
                      throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereByte

    public void whereByte(Column col,
                          byte val)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereBytes

    public void whereBytes(Column col,
                           byte[] val)
                    throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereChar

    public void whereChar(Column col,
                          char val)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereCharacterStream

    public void whereCharacterStream(Column col,
                                     Reader val,
                                     int length)
                              throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereClob

    public void whereClob(Column col,
                          Clob val)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereDate

    public void whereDate(Column col,
                          Date val)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereDate

    public void whereDate(Column col,
                          Date val,
                          Calendar cal)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereDouble

    public void whereDouble(Column col,
                            double val)
                     throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereFloat

    public void whereFloat(Column col,
                           float val)
                    throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereInt

    public void whereInt(Column col,
                         int val)
                  throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereLong

    public void whereLong(Column col,
                          long val)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereLocale

    public void whereLocale(Column col,
                            Locale val)
                     throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereNull

    public void whereNull(Column col)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereObject

    public void whereObject(Column col,
                            Object val,
                            int metaType,
                            Object arg)
                     throws SQLException

  Set an equality condition on the value of the given column in this row.
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments

### whereShort

    public void whereShort(Column col,
                           short val)
                    throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereString

    public void whereString(Column col,
                            String val)
                     throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereTime

    public void whereTime(Column col,
                          Time val,
                          Calendar cal)
                   throws SQLException

  Set an equality condition on the value of the given column in this row.

### whereTimestamp

    public void whereTimestamp(Column col,
                               Timestamp val,
                               Calendar cal)
                        throws SQLException

  Set an equality condition on the value of the given column in this row.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.